regina::NVertexEmbedding Class Reference
Triangulations

Details how a vertex in the skeleton forms part of an individual tetrahedron. More...

`#include <triangulation/nvertex.h>`

## Public Member Functions

| NVertexEmbedding ()
| Default constructor. More...
| NVertexEmbedding (NTetrahedron *newTet, int newVertex)
| Creates an embedding descriptor containing the given data. More...
| NVertexEmbedding (const NVertexEmbedding &cloneMe)
| Creates an embedding descriptor containing the same data as the given embedding descriptor. More...
NVertexEmbedding & | operator= (const NVertexEmbedding &cloneMe)
| Assigns to this embedding descriptor the same data as is contained in the given embedding descriptor. More...
NTetrahedron * | getTetrahedron () const
| Returns the tetrahedron in which this vertex is contained. More...
int | getVertex () const
| Returns the vertex number within getTetrahedron() that is this vertex. More...
NPerm4 | getVertices () const
| Returns a permutation that maps 0 to the vertex number within getTetrahedron() that is this vertex. More...
bool | operator== (const NVertexEmbedding &rhs) const
| Tests whether this and the given embedding are identical. More...
bool | operator!= (const NVertexEmbedding &rhs) const
| Tests whether this and the given embedding are different. More...

## Detailed Description

Details how a vertex in the skeleton forms part of an individual tetrahedron.

## Constructor & Destructor Documentation

regina::NVertexEmbedding::NVertexEmbedding | ( |  | ) |

inline

Default constructor.

The embedding descriptor created is unusable until it has some data assigned to it using `operator =`.

Python:
  Not present.

regina::NVertexEmbedding::NVertexEmbedding | ( | NTetrahedron * | newTet,
|  | int | newVertex
| ) |  |

inline

Creates an embedding descriptor containing the given data.

Parameters

  newTet | the tetrahedron in which this vertex is contained.
  newVertex | the vertex number of newTet that is this vertex.

regina::NVertexEmbedding::NVertexEmbedding | ( | const NVertexEmbedding & | cloneMe | ) |

inline

Creates an embedding descriptor containing the same data as the given embedding descriptor.

Parameters

  cloneMe | the embedding descriptor to clone.

## Member Function Documentation

NTetrahedron * regina::NVertexEmbedding::getTetrahedron | ( |  | ) | const

inline

Returns the tetrahedron in which this vertex is contained.

Returns
  the tetrahedron.

int regina::NVertexEmbedding::getVertex | ( |  | ) | const

inline

Returns the vertex number within getTetrahedron() that is this vertex.

Returns
  the vertex number that is this vertex.

NPerm4 regina::NVertexEmbedding::getVertices | ( |  | ) | const

inline

Returns a permutation that maps 0 to the vertex number within getTetrahedron() that is this vertex.

The real point of this routine is that (1,2,3) maps to the three remaining tetrahedron vertices in a manner that preserves orientation as you walk around the vertex (assuming this is actually possible). See NTetrahedron::getVertexMapping() for details.

Returns
  a permutation that maps 0 to the vertex number that is this vertex.

bool regina::NVertexEmbedding::operator!= | ( | const NVertexEmbedding & | rhs | ) | const

inline

Tests whether this and the given embedding are different.

Here "different" means that they do not refer to the same vertex of the same tetrahedron.

Parameters

  rhs | the embedding to compare with this.

Returns
  `true` if and only if both embeddings are identical.

NVertexEmbedding & regina::NVertexEmbedding::operator= | ( | const NVertexEmbedding & | cloneMe | ) |

inline

Assigns to this embedding descriptor the same data as is contained in the given embedding descriptor.

Parameters

  cloneMe | the embedding descriptor to clone.

bool regina::NVertexEmbedding::operator== | ( | const NVertexEmbedding & | rhs | ) | const

inline

Tests whether this and the given embedding are identical.

Here "identical" means that they refer to the same vertex of the same tetrahedron.

Parameters

  rhs | the embedding to compare with this.

Returns
  `true` if and only if both embeddings are identical.

The documentation for this class was generated from the following file:

- triangulation/nvertex.h

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).